Lavalite package that provides note management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bixo/note`.

    "bixo/note": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Bixo\Note\Providers\NoteServiceProvider::class,

And also add it to alias

    'Note'  => Bixo\Note\Facades\Note::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Bixo\\NoteTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Bixo\Note\Providers\NoteServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bixo\Note\Providers\NoteServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bixo\Note\Providers\NoteServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/note/{modulename}

**User**

    http://path-to-route-folder/user/note/{modulename}

**Public**

    http://path-to-route-folder/notes


### API endpoints

**List**

    http://path-to-route-folder/api/user/note/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/note/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/note/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/note/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/note/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/note/{modulename}/{slug}
    METHOD: GET