<?php

namespace Bixo\Note;

use User;

class Note
{
    /**
     * $note object.
     */
    protected $note;

    /**
     * Constructor.
     */
    public function __construct(\Bixo\Note\Interfaces\NoteRepositoryInterface $note)
    {
        $this->note = $note;
    }

    /**
     * Returns count of note.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.note.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->note->pushCriteria(new \Litepie\Bixo\Repositories\Criteria\NoteUserCriteria());
        }

        $note = $this->note->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('note::' . $view, compact('note'))->render();
    }
}
