<?php

namespace Bixo\Note\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class NoteTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Note\Models\Note $note)
    {
        return [
            'id'                => $note->getRouteKey(),
            'key'               => [
                'public'    => $note->getPublicKey(),
                'route'     => $note->getRouteKey(),
            ], 
            'parent_id'         => $note->parent_id,
            'parent_type'       => $note->parent_type,
            'description'       => $note->description,
            'user_id'           => $note->user_id,
            'user_type'         => $note->user_type,
            'deleted_at'        => $note->deleted_at,
            'url'               => [
                'public'    => trans_url('note/'.$note->getPublicKey()),
                'user'      => guard_url('note/note/'.$note->getRouteKey()),
            ], 
            'status'            => trans('app.'.$note->status),
            'created_at'        => format_date($note->created_at),
            'updated_at'        => format_date($note->updated_at),
        ];
    }
}